<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:09 CET 2009 -->
<TITLE>
NullCallback
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.polco.callback.NullCallback class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="NullCallback";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NullCallback.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/callback/NullCallbackFactory.html" title="class in ch.javasoft.polco.callback"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/callback/NullCallback.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NullCallback.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.polco.callback</FONT>
<BR>
Class NullCallback</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.polco.callback.NullCallback</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco">Numeric</A>, <A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="interface in ch.javasoft.polco.xenum">ExtremeRayCallback</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/polco/callback/NullCallback.html#line.43"><B>NullCallback</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="interface in ch.javasoft.polco.xenum">ExtremeRayCallback</A></DL>
</PRE>

<P>
The <code>NullCallback</code> simply ignores all callback invocations, that
 is, the output virtually goes to <code>/dev/null</code>.
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/polco/callback/NullCallback.html" title="class in ch.javasoft.polco.callback">NullCallback</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/callback/NullCallback.html#INSTANCE">INSTANCE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The single instance, untyped.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/callback/NullCallback.html#initialize(ch.javasoft.polco.xenum.ExtremeRayEvent)">initialize</A></B>(<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEvent.html" title="class in ch.javasoft.polco.xenum">ExtremeRayEvent</A>&nbsp;event)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes the callback process and returns <code>true</code> if 
 <A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#outputExtremeRay(ch.javasoft.polco.xenum.ExtremeRayEvent, long, Arr)"><CODE>outputExtremeRay(..)</CODE></A>
 shall be called with each extreme ray.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;Num extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Arr&gt; 
<BR>
<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="interface in ch.javasoft.polco.xenum">ExtremeRayCallback</A>&lt;Num,Arr&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/callback/NullCallback.html#instance()">instance</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the single instance, casted to the desired number types.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/callback/NullCallback.html#outputExtremeRay(ch.javasoft.polco.xenum.ExtremeRayEvent, long, java.lang.Object)">outputExtremeRay</A></B>(<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEvent.html" title="class in ch.javasoft.polco.xenum">ExtremeRayEvent</A>&nbsp;event,
                                 long&nbsp;index,
                                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;extremeRay)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Output callback, invoked with each individual extreme ray, but only if
 <A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#initialize(ch.javasoft.polco.xenum.ExtremeRayEvent)"><CODE>ExtremeRayCallback.initialize(ExtremeRayEvent)</CODE></A> returned <code>true</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/callback/NullCallback.html#terminate(ch.javasoft.polco.xenum.ExtremeRayEvent)">terminate</A></B>(<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEvent.html" title="class in ch.javasoft.polco.xenum">ExtremeRayEvent</A>&nbsp;event)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Called to terminate the callback process, for instance to close file
 handles.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="INSTANCE"><!-- --></A><H3>
INSTANCE</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/polco/callback/NullCallback.html" title="class in ch.javasoft.polco.callback">NullCallback</A> <A HREF="../../../../src-html/ch/javasoft/polco/callback/NullCallback.html#line.49"><B>INSTANCE</B></A></PRE>
<DL>
<DD>The single instance, untyped. It is recommended to use 
 <A HREF="../../../../ch/javasoft/polco/callback/NullCallback.html#instance()"><CODE>instance()</CODE></A> instead.
<P>
<DL>
</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="instance()"><!-- --></A><H3>
instance</H3>
<PRE>
public static final &lt;Num extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Arr&gt; <A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="interface in ch.javasoft.polco.xenum">ExtremeRayCallback</A>&lt;Num,Arr&gt; <A HREF="../../../../src-html/ch/javasoft/polco/callback/NullCallback.html#line.55"><B>instance</B></A>()</PRE>
<DL>
<DD>Returns the single instance, casted to the desired number types.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="initialize(ch.javasoft.polco.xenum.ExtremeRayEvent)"><!-- --></A><H3>
initialize</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/polco/callback/NullCallback.html#line.65"><B>initialize</B></A>(<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEvent.html" title="class in ch.javasoft.polco.xenum">ExtremeRayEvent</A>&nbsp;event)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#initialize(ch.javasoft.polco.xenum.ExtremeRayEvent)">ExtremeRayCallback</A></CODE></B></DD>
<DD>Initializes the callback process and returns <code>true</code> if 
 <A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#outputExtremeRay(ch.javasoft.polco.xenum.ExtremeRayEvent, long, Arr)"><CODE>outputExtremeRay(..)</CODE></A>
 shall be called with each extreme ray. If <code>false</code> is returned, the
 extreme rays are not output, and <A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#terminate(ch.javasoft.polco.xenum.ExtremeRayEvent)"><CODE>ExtremeRayCallback.terminate(ExtremeRayEvent)</CODE></A> is
 called subsequently to complete the callback process.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#initialize(ch.javasoft.polco.xenum.ExtremeRayEvent)">initialize</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="interface in ch.javasoft.polco.xenum">ExtremeRayCallback</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>event</CODE> - the event
<DT><B>Returns:</B><DD><code>true</code> if extreme rays shall be output individually</DL>
</DD>
</DL>
<HR>

<A NAME="outputExtremeRay(ch.javasoft.polco.xenum.ExtremeRayEvent, long, java.lang.Object)"><!-- --></A><H3>
outputExtremeRay</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/callback/NullCallback.html#line.69"><B>outputExtremeRay</B></A>(<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEvent.html" title="class in ch.javasoft.polco.xenum">ExtremeRayEvent</A>&nbsp;event,
                             long&nbsp;index,
                             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;extremeRay)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#outputExtremeRay(ch.javasoft.polco.xenum.ExtremeRayEvent, long, Arr)">ExtremeRayCallback</A></CODE></B></DD>
<DD>Output callback, invoked with each individual extreme ray, but only if
 <A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#initialize(ch.javasoft.polco.xenum.ExtremeRayEvent)"><CODE>ExtremeRayCallback.initialize(ExtremeRayEvent)</CODE></A> returned <code>true</code>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#outputExtremeRay(ch.javasoft.polco.xenum.ExtremeRayEvent, long, Arr)">outputExtremeRay</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="interface in ch.javasoft.polco.xenum">ExtremeRayCallback</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>event</CODE> - the event<DD><CODE>index</CODE> - the zero-based index for the rays, with no particular 
                                ordering<DD><CODE>extremeRay</CODE> - a numeric array representing the ray values</DL>
</DD>
</DL>
<HR>

<A NAME="terminate(ch.javasoft.polco.xenum.ExtremeRayEvent)"><!-- --></A><H3>
terminate</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/callback/NullCallback.html#line.73"><B>terminate</B></A>(<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEvent.html" title="class in ch.javasoft.polco.xenum">ExtremeRayEvent</A>&nbsp;event)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#terminate(ch.javasoft.polco.xenum.ExtremeRayEvent)">ExtremeRayCallback</A></CODE></B></DD>
<DD>Called to terminate the callback process, for instance to close file
 handles.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#terminate(ch.javasoft.polco.xenum.ExtremeRayEvent)">terminate</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="interface in ch.javasoft.polco.xenum">ExtremeRayCallback</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>event</CODE> - the event</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NullCallback.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/callback/NullCallbackFactory.html" title="class in ch.javasoft.polco.callback"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/callback/NullCallback.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NullCallback.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
